Issue 106975 - Use special namespace for storing display name for datapilot tables
Summary: Use special namespace for storing display name for datapilot tables
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: save-export (show other issues)
Version: DEV300m60
Hardware: Unknown All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: oc
QA Contact: issues@sc
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-17 14:03 UTC by kyoshida
Modified: 2017-05-20 10:33 UTC (History)
3 users (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description kyoshida 2009-11-17 14:03:10 UTC
The koheidatapilot03 cws introduces custom display names for datapilot, as
described in

http://wiki.services.openoffice.org/wiki/Calc/Features/DataPilot_custom_display_names

As we discussed in Orvieto, we need to use a special namespace to ensure that
those extra elements/attributes that are not yet officially approved by the ODF
TC can not clash with the official ODF format.
Comment 1 kyoshida 2009-11-17 14:06:13 UTC
The work is on-going in koheidatapilot03 cws.
Comment 2 kyoshida 2009-11-17 21:12:00 UTC
Ok.  I've made changes so that the custom display names get exported only when
the specified ODF version is 1.2 extended.  When the version is 1.2 extended,
they get exported as tableooo:display-name attributes, similar to how
Impress/Draw's comments get exported as officeooo:annotation.
Comment 3 kyoshida 2009-11-17 21:12:22 UTC
fixed in koheidatapilot03 cws.
Comment 4 kyoshida 2009-11-17 21:13:25 UTC
re-assigning to oc for qa verification.
Comment 5 niklas.nebel 2009-11-18 18:43:13 UTC
The data-pilot-grand-total element is also new. In addition, even with "1.2
Extended" selected, we should write new elements and attributes only if they are
needed (if a new feature is really used).
Comment 6 kyoshida 2009-11-18 19:33:43 UTC
re-opening.
Comment 7 kyoshida 2009-11-18 19:34:11 UTC
back to me.
Comment 8 kyoshida 2009-11-18 20:15:04 UTC
Ok.  I believe I did it correctly this time.  When the grand total doesn't have
a custom display name, it won't write the new elements.
Comment 9 kyoshida 2009-11-18 20:17:08 UTC
I also discovered that the default visibility of grand totals was incorrectly
set to false on import.  I fixed that one also.
Comment 10 kyoshida 2009-11-18 20:17:45 UTC
back to qa.
Comment 11 oc 2009-12-03 13:45:38 UTC
verified in internal build cws_koheidatapilot03